
def a_to_z_sequence(string):
    def ord_transform(char):
        return ord(char) - ord('a') + 1

    def z_transform(num):
        return chr(num + ord('a') - 1)

    return ''.join(z_transform(ord_transform(char)) for char in string.lower() if char.isalpha())



